%bcond_without python2
%bcond_without python3

%global modname six
%global python_wheelname %{modname}-%{version}-py2.py3-none-any.whl

Name:           python-six
Version:        1.15.0
Release:        2
Summary:        It is a Python 2 and 3 compatibility library
License:        MIT
URL:            https://pypi.python.org/pypi/%{modname}
Source0:        https://files.pythonhosted.org/packages/6b/34/415834bfdafca3c5f451532e8a8d9ba89a21c9743a0c59fbd0205c7f9426/%{modname}-%{version}.tar.gz
BuildArch:      noarch

%description
Python-six provides simple utilities for wrapping over differences
between Python 2 and Python 3.

%if %{with python2}
%package -n python2-%{modname}
Summary:        Compatibility library for python 2
BuildRequires:  python2-devel python2-setuptools
BuildRequires:  python2-pytest python2-tkinter
BuildRequires:  python2-pip python2-wheel

%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
Compatibility library for python 2.
%endif

%if %{with python3}
%package -n python3-%{modname}
Summary:        Compatibility library for python 3
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pytest python3-tkinter
BuildRequires:  python3-pip python3-wheel

%{?python_provide:%python_provide python3-%{modname}}
Obsoletes:      platform-python-%{modname} < %{version}-%{release}

%description -n python3-%{modname}
Compatibility library for python 3.
%endif

%prep
%autosetup -n %{modname}-%{version}

%build
%if %{with python2}
%py2_build_wheel
%endif

%if %{with python3}
%py3_build_wheel
%endif

%install
%if %{with python2}
%py2_install_wheel %{python_wheelname}
%endif

%if %{with python3}
%py3_install_wheel %{python_wheelname}
%endif

%check
%if %{with python2}
PYTHONPATH=%{buildroot}%{python2_sitelib} py.test-2 -rfsxX test_six.py
%endif

%if %{with python3}
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-3 -rfsxX test_six.py
%endif

%if %{with python2}
%files -n python2-%{modname}
%license LICENSE
%doc README* documentation/index*
%{python2_sitelib}/%{modname}-*.dist-info/
%exclude %{python2_sitelib}/%{modname}-*.dist-info/LICENSE*
%{python2_sitelib}/%{modname}.py*
%endif

%if %{with python3}
%files -n python3-%{modname}
%license LICENSE
%doc README* documentation/index*
%{python3_sitelib}/%{modname}-*.dist-info/
%exclude %{python3_sitelib}/%{modname}-*.dist-info/LICENSE*
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.*
%endif

%changelog
* Sat Sep 5 2020 shixuantong <shixuantong@huawei.com> - 1.15.0-2
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: update Source0

* Tue Aug 04 2020 Yeqing Peng<pengyeqing@huawei.com> -1.15.0-1
- update to 1.15.0

* Thu Apr 16 2020 chengquan<chengquan3@huawei.com> -1.14.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade software to v1.14.0

* Thu Sep 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.12.0-1
- Package Init
